﻿Option Explicit On

Module Declarações

    ' checkbox
    Public gap_type As Integer = 1 ' tipo de contato: [0] = contato linear [1] = contato não linear
    Public cnx_type As String = "FSW" ' tipo de conexão: [FSW] = ligação via solda [Rebite] = ligação via rebite 

    ' revestimento
    Public a As Double ' comprimento do painel
    Public b As Double ' largura do painel
    Public h As Double ' espessura do revestimento
    Public E_rev As Double ' módulo de Young do revestimento    
    Public v_rev As Double ' coeficiente de Poisson do revestimento

    ' reforçador
    Public Dim_A As Double ' largura da aba do reforçador
    Public Dim_B As Double ' altura do reforçador
    Public Dim_C As Double ' largura da flange do reforçador
    Public Dim_tA As Double ' espessura da aba do reforçador
    Public Dim_tB As Double ' espessura da alma do reforçador
    Public Dim_tC As Double ' espessura da flange do reforçador
    Public E_ref As Double ' módulo de Young do reforçador
    Public v_ref As Double ' coeficiente de Poisson do reforçador
    Public n_ref As Integer ' número de reforçadores

    ' rebite
    Public d_reb As Double ' diâmetro do rebite
    Public s_reb As Double ' passo do rebite em termos de seu diâmetro
    Public E_reb As Double ' módulo de Young do rebite

    ' malha do painel
    Public nn1_x As Integer ' número ímpar de nós da aba do reforçador ao longo de x
    '                         número ímpar de nós da alma do reforçador ao longo de z
    Public nn2_x As Integer ' número de nós do revestimento, ao longo de x, entre dois reforçadores consecutivos
    Public nn1_y As Integer ' número de nós da aba do reforçador ao longo de y
    '                         número de nós da alma do reforçador ao longo de y
    Public nnreb As Integer ' número par de nós, ao longo de y, em torno de um rebite
    Public nelZTA As Integer ' número de elementos da ZTA
    Public lZTA As Integer ' largura da ZTA
    Public kz As Double 'Fator de degradação do material da ZTA

    ' fator de carga do reforçador
    Public FCR As Double

    ' arquivo de saida
    Public dir_name As String ' nome do diretório do arquivo de saída
    Public arq_name As String ' nome do arquivo .DAT
    Public fs As Object ' objeto do sistema
    Public arq As Object ' objeto do aquivo do sistema

    ' variáveis intermediárias
    Public b_aba As Double ' largura de cálculo da aba do reforçador
    Public h_aba As Double ' espessura de cálculo da aba do reforçador
    Public b_alma As Double ' largura de cálculo da alma do reforçador
    Public h_alma As Double ' espessura de cálculo da alma do reforçador
    Public b_flange As Double ' largura de cálculo da flange do reforçador
    Public h_flange As Double ' espessura de cálculo da flange do reforçador
    Public A_flange As Double ' área da flange do reforçador
    Public Iz_flange As Double ' inércia à flexão, ao longo do eixo local z, da flange do reforçador
    Public Iy_flange As Double ' inércia à flexão, ao longo do eixo local y, da flange do reforçador
    Public J_flange As Double ' constante de torção de Saint-Venant
    Public n_reb As Integer ' número de rebites do reforçador
    Public rig_ax As Double ' rigidez axial do rebite
    Public rig_tr As Double ' rigidez transversal do rebite segundo Swift
    Public A_painel As Double
    Public sigentref As Double ' carregamento nodal de compressão, ao longo de y, do revestimento entre dois reforçadores consecutivos
    Public sigsobref As Double ' carregamento nodal de compressão, ao longo de y, do revestimento imediatamente sob um reforçador
    Public sigaba As Double ' carregamento nodal de compressão, ao longo de y, da aba do reforçador
    Public sigalma As Double ' carregamento nodal de compressão, ao longo de y, da alma do reforçador
    Public sigflange As Double ' carregamento nodal de compressão, ao longo de y, da flange do reforçador

End Module
